#pragma once
#include "IconButton.h"

#define	MAX_SELECT	4

// CSideBar

class CSideBar : public CWnd
{
//	DECLARE_DYNAMIC(CSideBar)

public:
	CSideBar();
	virtual ~CSideBar();

	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg LRESULT OnChangeSel(WPARAM wParam, LPARAM lParam);

private:
	CBitmap		m_logo;
	CDC			m_logoDc;

	CIconButton	m_select[MAX_SELECT];

protected:
	DECLARE_MESSAGE_MAP()

	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
};


